> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Table Columns > Returns a list of columns for a specified table ## OpenAPI ````json GET /api/v1/Catalog/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/columns { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Catalog/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/columns": { "get": { "tags": [ "Catalog" ], "summary": "Get Table Columns", "description": "Returns a list of columns for a specified table", "parameters": [ { "name": "dataSourceId", "in": "path", "description": "The data source in which the columns are located", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "schemaId", "in": "path", "description": "The schema in which the columns are located", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "tableId", "in": "path", "description": "The table in which the columns are located", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceColumns" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.DataSourceColumns": { "title": "DataSourceColumns", "type": "object", "properties": { "dataSource": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceSummary" }, "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.SchemaSummary" }, "table": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TableSummary" }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ColumnSummary" }, "description": "Summaries for all columns of the specified table" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSourceSummary": { "title": "DataSourceSummary", "type": "object", "properties": { "dataSourceName": { "type": "string", "description": "The name of the data source", "nullable": true }, "dataSourceId": { "type": "integer", "description": "The ID of the data source", "format": "int32" }, "dataSourceServer": { "type": "string", "description": "The name of the data source server", "nullable": true }, "dataSourceDatabase": { "type": "string", "description": "The name of the data source database", "nullable": true }, "includeInTrustScore": { "type": "boolean", "description": "Whether the data source is included in the trust score" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.SchemaSummary": { "title": "SchemaSummary", "type": "object", "properties": { "schemaName": { "type": "string", "description": "The name of the schema", "nullable": true }, "schemaId": { "type": "integer", "description": "The ID of the schema", "format": "int32" }, "includeInTrustScore": { "type": "boolean", "description": "Whether the schema is included in the trust score" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TableSummary": { "title": "TableSummary", "type": "object", "properties": { "tableName": { "type": "string", "description": "The name of the table", "nullable": true }, "tableId": { "type": "integer", "description": "The ID of the table", "format": "int32" }, "tableType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MetaTableType" }, "includeInTrustScore": { "type": "boolean", "description": "Whether the table is included in the trust score" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ColumnSummary": { "title": "ColumnSummary", "type": "object", "properties": { "name": { "type": "string", "description": "The name of the column", "nullable": true }, "id": { "type": "integer", "description": "The ID of the column", "format": "int32" }, "metaDataType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MetaDataType" }, "dataType": { "type": "string", "description": "The data type of the column", "nullable": true }, "sequence": { "type": "integer", "description": "The sequence number of the column", "format": "int32" }, "isNullable": { "type": "boolean", "description": "Whether the column is nullable" }, "isPrimaryKey": { "type": "boolean", "description": "Whether the column is the primary key" }, "isIdentity": { "type": "boolean", "description": "Whether the column is an identity column" }, "stringMaxLength": { "type": "integer", "description": "The max string length of the column", "format": "int32", "nullable": true }, "numericPrecision": { "type": "integer", "description": "The numeric precision of the column", "format": "int32", "nullable": true }, "numericScale": { "type": "integer", "description": "The numeric scale of the column", "format": "int32", "nullable": true }, "dateTimePrecision": { "type": "integer", "description": "The date/time precision of the column", "format": "int32", "nullable": true }, "comment": { "type": "string", "description": "The comment attached to the column", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.MetaTableType": { "title": "MetaTableType", "enum": [ "Table", "View" ], "type": "string" }, "Configuration.Api.Models.v1.MetaDataType": { "title": "MetaDataType", "enum": [ "ApproximateNumeric", "Boolean", "String", "DateTime", "Geospatial", "Guid", "Other", "ExactNumeric" ], "type": "string" } } } } ````